Index: palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/radiation_model_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/radiation_model_mod.f90	(revision 3241)
@@ -28,4 +28,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed or commented
+! 
+! 3233 2018-09-07 13:21:24Z schwenkel
 ! Adapted for the use of cloud_droplets 
 ! 
@@ -883,5 +886,4 @@
     REAL(wp), DIMENSION(:), ALLOCATABLE            ::  surfoutsw        !< array of total sw radiation outgoing from nonvirtual surfaces surfaces after all reflection
     REAL(wp), DIMENSION(:), ALLOCATABLE            ::  surfoutlw        !< array of total lw radiation outgoing from nonvirtual surfaces surfaces after all reflection
-    REAL(wp), DIMENSION(:), ALLOCATABLE            ::  surfhf           !< array of total radiation flux incoming to minus outgoing from local surface
     REAL(wp), DIMENSION(:), ALLOCATABLE            ::  surfemitlwl      !< array of emitted lw radiation for local surface used to calculate effective surface temperature for radiation model
 
@@ -1217,5 +1219,4 @@
        CHARACTER (LEN=*) ::  dopr_unit !< local value of dopr_unit
  
-       INTEGER(iwp) ::  user_pr_index !< 
        INTEGER(iwp) ::  var_count     !< 
 
@@ -1375,5 +1376,5 @@
 
        USE control_parameters,                                                 &
-           ONLY: land_surface, message_string, topography, urban_surface
+           ONLY: land_surface, message_string, urban_surface
 
        USE netcdf_data_input_mod,                                              &
@@ -1469,10 +1470,12 @@
 
        INTEGER(iwp) ::  i         !< running index x-direction 
-       INTEGER(iwp) ::  ind_type  !< running index for subgrid-surface tiles 
        INTEGER(iwp) ::  ioff      !< offset in x between surface element reference grid point in atmosphere and actual surface 
        INTEGER(iwp) ::  j         !< running index y-direction 
        INTEGER(iwp) ::  joff      !< offset in y between surface element reference grid point in atmosphere and actual surface 
        INTEGER(iwp) ::  l         !< running index for orientation of vertical surfaces 
-       INTEGER(iwp) ::  m         !< running index for surface elements  
+       INTEGER(iwp) ::  m         !< running index for surface elements
+#if defined( __rrtmg )
+       INTEGER(iwp) ::  ind_type  !< running index for subgrid-surface tiles
+#endif
 
 !
@@ -2732,5 +2735,5 @@
 11 FORMAT (/'    --> Shortwave radiation is disabled.')
 12 FORMAT  ('    Timestep: dt_radiation = ', F6.2, '  s')
-13 FORMAT (/'    Albedo is set individually for each xy-location, according '  &
+13 FORMAT (/'    Albedo is set individually for each xy-location, according ', &
                  'to given surface type.')
 
@@ -2838,4 +2841,5 @@
     SUBROUTINE radiation_rrtmg
 
+#if defined ( __rrtmg )
        USE indices,                                                            &
            ONLY:  nbgp
@@ -2847,5 +2851,4 @@
        IMPLICIT NONE
 
-#if defined ( __rrtmg )
 
        INTEGER(iwp) ::  i, j, k, l, m, n !< loop indices
@@ -4461,7 +4464,6 @@
 
      IMPLICIT NONE
-
-     INTEGER(iwp)                      :: i, j, k, kk, is, js, d, ku, refstep, m, mm, l, ll
-     INTEGER(iwp)                      :: nzubl, nzutl, isurf, isurfsrc, isvf, icsf, ipcgb
+     INTEGER(iwp)                      :: i, j, k, kk, d, refstep, m, mm, l, ll
+     INTEGER(iwp)                      :: isurf, isurfsrc, isvf, icsf, ipcgb
      INTEGER(iwp)                      :: isd                !< solar direction number
      INTEGER(iwp)                      :: pc_box_dimshift    !< transform for best accuracy
@@ -4477,8 +4479,8 @@
      REAL(wp), PARAMETER               :: alpha = 0._wp      !< grid rotation (TODO: add to namelist or remove)
      REAL(wp)                          :: pc_box_area, pc_abs_frac, pc_abs_eff
-     REAL(wp)                          ::  count_surfaces    !< number of all surfaces in model domain
-     REAL(wp)                          ::  count_surfaces_l  !< number of all surfaces in sub-domain
-     REAL(wp)                          ::  pt_surf_urb       !< mean surface temperature of all surfaces in model domain, temporal work-around
-     REAL(wp)                          ::  pt_surf_urb_l     !< mean surface temperature of all surfaces in sub-domain, temporal work-around
+!     REAL(wp)                          ::  count_surfaces    !< number of all surfaces in model domain
+!     REAL(wp)                          ::  count_surfaces_l  !< number of all surfaces in sub-domain
+!     REAL(wp)                          ::  pt_surf_urb       !< mean surface temperature of all surfaces in model domain, temporal work-around
+!     REAL(wp)                          ::  pt_surf_urb_l     !< mean surface temperature of all surfaces in sub-domain, temporal work-around
 
      REAL(wp), DIMENSION(0:nsurf_type) :: facearea
@@ -4497,5 +4499,4 @@
      REAL(wp)                          :: area_surfl         !< total area of surfaces in local processor
      REAL(wp)                          :: area_surf          !< total area of surfaces in all processor
-     REAL(wp)                          :: area_horl          !< total horizontal area of domain in local processor
      REAL(wp)                          :: area_hor           !< total horizontal area of domain in all processor
 
@@ -4716,5 +4717,4 @@
      surfoutlw = surfoutll
      surfemitlwl = surfoutll
-!        surfhf = surfinsw + surfinlw - surfoutsw - surfoutlw
 
      IF ( .NOT.  surface_reflections )  THEN
@@ -4772,5 +4772,4 @@
          surfoutsw = surfoutsw + surfoutsl
          surfoutlw = surfoutlw + surfoutll
-!            surfhf = surfinsw + surfinlw - surfoutsw - surfoutlw
 
      ENDDO
@@ -5215,13 +5214,11 @@
 
        USE plant_canopy_model_mod,                                             &
-           ONLY:  pch_index, pc_heating_rate, lad_s
+           ONLY:  pch_index, lad_s
 
        IMPLICIT NONE
 
-       INTEGER(iwp) :: i, j, k, d, l, ir, jr, ids, m
+       INTEGER(iwp) :: i, j, k, l, m
        INTEGER(iwp) :: k_topo     !< vertical index indicating topography top for given (j,i)
-       INTEGER(iwp) :: k_topo2    !< vertical index indicating topography top for given (j,i)
        INTEGER(iwp) :: nzptl, nzubl, nzutl, isurf, ipcgb
-       INTEGER(iwp) :: procid
        REAL(wp)     :: mrl
 
@@ -5555,7 +5552,7 @@
         IMPLICIT NONE
         
-        INTEGER(iwp)                                  :: i, j, k, l, d, ip, jp
+        INTEGER(iwp)                                  :: i, j, k, d, ip, jp
         INTEGER(iwp)                                  :: isvf, ksvf, icsf, kcsf, npcsfl, isvf_surflt, imrtt, imrtf, ipcgb
-        INTEGER(iwp)                                  :: sd, td, ioln, iproc
+        INTEGER(iwp)                                  :: sd, td
         INTEGER(iwp)                                  :: iaz, izn      !< azimuth, zenith counters
         INTEGER(iwp)                                  :: naz, nzn      !< azimuth, zenith num of steps
@@ -5581,8 +5578,6 @@
         REAL(wp)                                      :: transparency, rirrf, sqdist, svfsum
         INTEGER(iwp)                                  :: isurflt, isurfs, isurflt_prev
-        INTEGER(iwp)                                  :: itx, ity, itz
         INTEGER(idp)                                  :: ray_skip_maxdist, ray_skip_minval !< skipped raytracing counts
         INTEGER(iwp)                                  :: max_track_len !< maximum 2d track length
-        CHARACTER(len=7)                              :: pid_char = ''
         INTEGER(iwp)                                  :: win_lad, minfo
         REAL(wp), DIMENSION(:,:,:), POINTER           :: lad_s_rma       !< fortran pointer, but lower bounds are 1
@@ -5593,5 +5588,5 @@
 !    
         INTEGER(iwp), DIMENSION(0:svfnorm_report_num) :: svfnorm_counts
-        CHARACTER(200)                                :: msg
+!        CHARACTER(200)                                :: msg
 
 !--     calculation of the SVF
@@ -6260,8 +6255,8 @@
         RETURN
         
-301     WRITE( message_string, * )  &
-            'I/O error when processing shape view factors / ',  &
-            'plant canopy sink factors / direct irradiance factors.'
-        CALL message( 'init_urban_surface', 'PA0502', 2, 2, 0, 6, 0 )
+!        WRITE( message_string, * )  &
+!            'I/O error when processing shape view factors / ',  &
+!            'plant canopy sink factors / direct irradiance factors.'
+!        CALL message( 'init_urban_surface', 'PA0502', 2, 2, 0, 6, 0 )
        
     END SUBROUTINE radiation_calc_svf
@@ -6295,5 +6290,5 @@
         REAL(wp), INTENT(out)                  :: transparency !< along whole path
         INTEGER(iwp), INTENT(in)               :: win_lad
-        INTEGER(iwp)                           :: i, j, k, d
+        INTEGER(iwp)                           :: i, k, d
         INTEGER(iwp)                           :: seldim       !< dimension to be incremented
         INTEGER(iwp)                           :: ncsb         !< no of written plant canopy sinkboxes
@@ -7269,5 +7264,5 @@
         INTEGER(iwp)                            :: iread, iwrite
         TYPE(t_csf), DIMENSION(:), POINTER      :: acsfnew
-        CHARACTER(100)                          :: msg
+!        CHARACTER(100)                          :: msg
 
         IF ( newsize == -1 )  THEN
@@ -9370,16 +9365,16 @@
 !> Subroutine writes debug information
 !------------------------------------------------------------------------------!
- SUBROUTINE radiation_write_debug_log ( message )
+! SUBROUTINE radiation_write_debug_log ( message )
     !> it writes debug log with time stamp
-    CHARACTER(*)  :: message
-    CHARACTER(15) :: dtc
-    CHARACTER(8)  :: date
-    CHARACTER(10) :: time
-    CHARACTER(5)  :: zone
-    CALL date_and_time(date, time, zone)
-    dtc = date(7:8)//','//time(1:2)//':'//time(3:4)//':'//time(5:10)
-    WRITE(9,'(2A)') dtc, TRIM(message)
-    FLUSH(9)
- END SUBROUTINE radiation_write_debug_log
+!    CHARACTER(*)  :: message
+!    CHARACTER(15) :: dtc
+!    CHARACTER(8)  :: date
+!    CHARACTER(10) :: time
+!    CHARACTER(5)  :: zone
+!    CALL date_and_time(date, time, zone)
+!    dtc = date(7:8)//','//time(1:2)//':'//time(3:4)//':'//time(5:10)
+!    WRITE(9,'(2A)') dtc, TRIM(message)
+!    FLUSH(9)
+! END SUBROUTINE radiation_write_debug_log
 
  END MODULE radiation_model_mod
Index: palm/trunk/SOURCE/random_generator_parallel_mod.f90
===================================================================
--- palm/trunk/SOURCE/random_generator_parallel_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/random_generator_parallel_mod.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variable removed
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -140,5 +143,5 @@
 !> Initialize the parallel random number generator for a specific subdomain
 !------------------------------------------------------------------------------!
-   SUBROUTINE init_parallel_random_generator(nx, ny, nys, nyn, nxl, nxr)
+   SUBROUTINE init_parallel_random_generator( nx, nys, nyn, nxl, nxr )
 
       USE kinds
@@ -150,5 +153,4 @@
 
       INTEGER(isp), INTENT(IN) ::  nx    !< 
-      INTEGER(isp), INTENT(IN) ::  ny    !< 
       INTEGER(isp), INTENT(IN) ::  nys   !< 
       INTEGER(isp), INTENT(IN) ::  nyn   !< 
Index: palm/trunk/SOURCE/read_restart_data_mod.f90
===================================================================
--- palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3183 2018-07-27 14:25:55Z suehring
 ! Rename variables for boundary flags
 ! 
@@ -830,9 +833,9 @@
 
 
-       USE arrays_3d,                                                             &
-           ONLY:  inflow_damping_factor, mean_inflow_profiles, ref_state, ug, vg
-
-       USE indices,                                                               &
-           ONLY:  nz, nx, nx_on_file, ny, ny_on_file
+       USE arrays_3d,                                                          &
+           ONLY:  ref_state
+
+       USE indices,                                                            &
+           ONLY:  nz, nx_on_file, ny_on_file
 
        USE kinds
@@ -840,7 +843,6 @@
        USE pegrid
 
-       USE statistics,                                                            &
-           ONLY:  statistic_regions, hom, hom_sum, pr_palm, u_max, u_max_ijk,     &
-                  v_max, v_max_ijk, w_max, w_max_ijk
+       USE statistics,                                                         &
+           ONLY:  statistic_regions, hom, hom_sum, pr_palm
 
        IMPLICIT NONE
@@ -1066,5 +1068,5 @@
 
     USE chemistry_model_mod,                                                   &
-        ONLY:  chem_rrd_local, chem_species, nspec                                
+        ONLY:  chem_rrd_local
 
     USE cpulog,                                                                &
@@ -1089,5 +1091,5 @@
 
     USE radiation_model_mod,                                                   &
-        ONLY: radiation, radiation_rrd_local
+        ONLY: radiation_rrd_local
 
     USE random_function_mod,                                                   &
@@ -1157,6 +1159,4 @@
     LOGICAL ::  found
 
-    REAL(wp) ::  rdummy
-
     REAL(wp), DIMENSION(:,:),   ALLOCATABLE   ::  tmp_2d      !< temporary array for storing 2D data
     REAL(wp), DIMENSION(:,:,:), ALLOCATABLE   ::  tmp_3d      !< temporary array for storing 3D data
@@ -2090,6 +2090,4 @@
        IMPLICIT NONE
 
-       CHARACTER (LEN=10) ::  version_on_file
-
        CHARACTER (LEN=1) ::  cdum
 
Index: palm/trunk/SOURCE/spectra_mod.f90
===================================================================
--- palm/trunk/SOURCE/spectra_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/spectra_mod.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3049 2018-05-29 13:52:36Z Giersch
 ! Error messages revised
 ! 
@@ -372,5 +375,5 @@
        IMPLICIT NONE
 
-       CHARACTER (LEN=40) ::  output_format       !< internal string
+!       CHARACTER (LEN=40) ::  output_format       !< internal string
 
        INTEGER(iwp) ::  i                         !< internal counter
@@ -399,5 +402,5 @@
      1 FORMAT ('    Spectra:')
      2 FORMAT ('       Output format: ',A/)
-     3 FORMAT ('       Output format: ',A, '   compressed with level: ',I1/)
+!     3 FORMAT ('       Output format: ',A, '   compressed with level: ',I1/)
      4 FORMAT ('       Output every ',F7.1,' s'/)
      5 FORMAT ('       No output during initial ',F8.2,' s')
@@ -491,5 +494,5 @@
                 CALL transpose_yxd( d, d )
              ENDIF
-             CALL calc_spectra_x( d, pr, m )
+             CALL calc_spectra_x( d, m )
 #else
              message_string = 'sorry, calculation of spectra in non paral' //  &
@@ -521,5 +524,5 @@
 #if defined( __parallel )
              CALL transpose_zyd( d, d )
-             CALL calc_spectra_y( d, pr, m )
+             CALL calc_spectra_y( d, m )
 #else
              message_string = 'sorry, calculation of spectra in non paral' //  &
@@ -658,8 +661,5 @@
 !> @todo Missing subroutine description.
 !------------------------------------------------------------------------------!
-    SUBROUTINE calc_spectra_x( ddd, pr, m )
-
-       USE control_parameters,                                                 &
-           ONLY:  fft_method
+    SUBROUTINE calc_spectra_x( ddd, m )
 
        USE fft_xy,                                                             &
@@ -696,10 +696,8 @@
 
        INTEGER(iwp) ::  i         !<
-       INTEGER(iwp) ::  ishape(1) !<
        INTEGER(iwp) ::  j         !<
        INTEGER(iwp) ::  k         !<
        INTEGER(iwp) ::  m         !<
        INTEGER(iwp) ::  n         !<
-       INTEGER(iwp) ::  pr        !<
 
        REAL(wp) ::  exponent     !<
@@ -805,8 +803,5 @@
 !> @todo Missing subroutine description.
 !------------------------------------------------------------------------------!
-    SUBROUTINE calc_spectra_y( ddd, pr, m )
-
-       USE control_parameters,                                                 &
-           ONLY:  fft_method
+    SUBROUTINE calc_spectra_y( ddd, m )
 
        USE fft_xy,                                                             &
@@ -844,9 +839,7 @@
        INTEGER(iwp) ::  i         !<
        INTEGER(iwp) ::  j         !<
-       INTEGER(iwp) ::  jshape(1) !<
        INTEGER(iwp) ::  k         !<
        INTEGER(iwp) ::  m         !<
        INTEGER(iwp) ::  n         !<
-       INTEGER(iwp) ::  pr        !<
 
        REAL(wp) ::  exponent !<
Index: palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 3240)
+++ palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3176 2018-07-26 17:12:48Z suehring
 ! Remove output of latent heat flux at urban-surfaces and set fill values 
 ! instead 
@@ -204,5 +207,5 @@
 
     USE averaging,                                                             &
-        ONLY:  diss_av, e_av, ghf_av, kh_av, km_av, lpt_av, lwp_av, nc_av,     &
+        ONLY:  e_av, ghf_av, lpt_av, lwp_av, nc_av,     &
                nr_av,                                                          &
                ol_av, p_av, pc_av, pr_av, prr_av, pt_av, q_av, qc_av, ql_av,   &
@@ -210,6 +213,7 @@
                rho_ocean_av, s_av, sa_av, shf_av, ssws_av, ts_av, tsurf_av,    &
                u_av, us_av, v_av, vpt_av, w_av, z0_av, z0h_av, z0q_av
+
     USE chemistry_model_mod,                                                   &
-        ONLY:  chem_3d_data_averaging, chem_integrate, chem_species, nspec                                   
+        ONLY:  chem_3d_data_averaging
 
     USE cloud_parameters,                                                      &
Index: palm/trunk/SOURCE/surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/surface_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/surface_mod.f90	(revision 3241)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3222 2018-08-30 13:35:35Z suehring
 ! +building_type, pavement_type, vegetation_type, water_type
 ! +building_type_name, pavement_type_name, vegetation_type_name, water_type_name 
@@ -1623,6 +1626,4 @@
        INTEGER(iwp) ::  j         !< running index y-direction
        INTEGER(iwp) ::  k         !< running index z-direction
-       INTEGER(iwp) ::  l         !< index variable used to distinguish surface facing
-       INTEGER(iwp) ::  m         !< running index surface elements
 
        INTEGER(iwp)                 ::  start_index_lsm_h !< dummy to determing local start index in surface type for given (j,i), for horizontal natural surfaces
@@ -3366,10 +3367,5 @@
                                   nysc, nys_on_file, found )
 
-       USE pegrid,                                                             &
-           ONLY: myid, numprocs_previous_run
-
        IMPLICIT NONE
-
-       CHARACTER (LEN=1)  ::  dum         !< dummy to create correct string for reading input variable
 
        INTEGER(iwp)       ::  i           !< running index along x-direction, refers to former domain size
@@ -3377,5 +3373,4 @@
        INTEGER(iwp)       ::  j           !< running index along y-direction, refers to former domain size
        INTEGER(iwp)       ::  jc          !< running index along y-direction, refers to former domain size
-       INTEGER(iwp)       ::  k           !< running index along z-direction
        INTEGER(iwp)       ::  m           !< running index for surface elements, refers to gathered array encompassing all surface types
        INTEGER(iwp)       ::  mm          !< running index for surface elements, refers to individual surface types
Index: palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- palm/trunk/SOURCE/swap_timelevel.f90	(revision 3240)
+++ palm/trunk/SOURCE/swap_timelevel.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 2817 2018-02-19 16:32:21Z knoop
 ! Preliminary gust module interface implemented
 ! 
@@ -125,13 +128,12 @@
 #if defined( __nopointer )
     USE arrays_3d,                                                             &
-        ONLY:  e, e_p, nc, nc_p, nr, nr_p, pt, pt_p, q, q_p, qc, qc_p, qr,     &
-               qr_p, s, s_p, sa, sa_p, u, u_p, v, v_p, w, w_p
+        ONLY:  nc, nc_p, nr, nr_p, pt, pt_p, q, q_p, qc, qc_p, qr, qr_p, s,    &
+               s_p, sa, sa_p, u, u_p, v, v_p, w, w_p
 #else
     USE arrays_3d,                                                             &
-        ONLY:  e, e_1, e_2, e_p, nc, nc_1, nc_2, nc_p, nr, nr_1, nr_2, nr_p,   &
-               pt, pt_1, pt_2, pt_p, q, q_1, q_2, q_p, qc, qc_1, qc_2, qc_p,   &
-               qr, qr_1, qr_2, qr_p, s, s_1, s_2, s_p, sa, sa_1, sa_2, sa_p,   &
-               u, u_1, u_2, u_p, v, v_1, v_2, v_p, w, w_1, w_2, w_p
-
+        ONLY:  nc, nc_1, nc_2, nc_p, nr, nr_1, nr_2, nr_p, pt, pt_1, pt_2,     &
+               pt_p, q, q_1, q_2, q_p, qc, qc_1, qc_2, qc_p, qr, qr_1, qr_2,   &
+               qr_p, s, s_1, s_2, s_p, sa, sa_1, sa_2, sa_p, u, u_1, u_2, u_p, &
+               v, v_1, v_2, v_p, w, w_1, w_2, w_p
 #endif
 
@@ -146,6 +148,5 @@
 
     USE control_parameters,                                                    &
-        ONLY:  air_chemistry, cloud_physics, constant_diffusion,               &
-               humidity, land_surface,                                         &
+        ONLY:  air_chemistry, cloud_physics, humidity, land_surface,           &
                microphysics_morrison, microphysics_seifert, neutral, ocean,    &
                passive_scalar, timestep_count, urban_surface
@@ -154,6 +155,8 @@
         ONLY: gust_module_enabled, gust_swap_timelevel
 
+#if defined( __nopointer )
     USE indices,                                                               &
         ONLY:  nxlg, nxrg, nyng, nysg, nzb, nzt
+#endif
 
     USE pmc_interface,                                                         &
@@ -169,5 +172,7 @@
     IMPLICIT NONE
 
+#if defined( __nopointer )
     INTEGER ::  i, j, k     !> loop indices
+#endif
     INTEGER ::  swap_level  !> swap_level for steering the pmc data transfer
 
Index: palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90
===================================================================
--- palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3186 2018-07-30 17:07:14Z suehring
 ! Mask topography while imposing inflow perturbations at the boundaries; do not
 ! impose perturbations at top boundary as well as ghost points
@@ -324,6 +327,6 @@
 
     USE control_parameters,                                                    &
-        ONLY:  bc_lr, bc_ns, child_domain, nesting_offline,                    &
-               number_stretch_level_start, rans_mode, turbulent_inflow
+        ONLY:  bc_lr, bc_ns, child_domain, nesting_offline, rans_mode,         &
+               turbulent_inflow
 
     USE pmc_interface,                                                         &
@@ -430,6 +433,5 @@
 
     USE control_parameters,                                                    &
-        ONLY:  child_domain, coupling_char, dz, e_init, nesting_offline,       &
-               rans_mode
+        ONLY:  child_domain, coupling_char, e_init, nesting_offline, rans_mode
 
     USE grid_variables,                                                        &
Index: palm/trunk/SOURCE/temperton_fft_mod.f90
===================================================================
--- palm/trunk/SOURCE/temperton_fft_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/temperton_fft_mod.f90	(revision 3241)
@@ -9,4 +9,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3049 2018-05-29 13:52:36Z Giersch
 ! Error messages revised
 ! 
@@ -59,10 +62,6 @@
     PUBLIC set99, fft991cy
 
-
-    INTEGER(iwp)            ::  nfax(10)    !< array used by *fft991*.
     INTEGER(iwp), PARAMETER ::  nfft =  32  !< maximum length of calls to *fft
     INTEGER(iwp), PARAMETER ::  nout =   6  !< standard output stream
-
-    REAL(wp), ALLOCATABLE ::  trig(:)    !< array used by *fft991*.
 
 CONTAINS
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 3240)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3198 2018-08-15 09:23:10Z sward
 ! Added multi_agent_system_end; defined start time for MAS relative to
 ! time_since_reference_point
@@ -421,5 +424,5 @@
 
     USE indices,                                                               &
-        ONLY:  nbgp, nx, nxl, nxlg, nxr, nxrg, nyn, nyng, nys, nysg, nzb, nzt
+        ONLY:  nbgp, nx, nxl, nxlg, nxr, nxrg, nzb, nzt
 
     USE interaction_droplets_ptq_mod,                                          &
@@ -473,6 +476,5 @@
 
     USE statistics,                                                            &
-        ONLY:  flow_statistics_called, hom, pr_palm, sums_ls_l, u_max,         &
-               u_max_ijk, v_max, v_max_ijk, w_max, w_max_ijk
+        ONLY:  flow_statistics_called, hom, pr_palm, sums_ls_l
 
     USE surface_layer_fluxes_mod,                                              &
@@ -515,12 +517,12 @@
 
     CHARACTER (LEN=9) ::  time_to_string          !< 
-    INTEGER(iwp)      ::  it
-    INTEGER(iwp)      ::  lsp
-    INTEGER(iwp)      ::  n
-
+
+    INTEGER(iwp)      ::  n  !< loop counter for chemistry species
 
     REAL(wp) ::  dt_3d_old  !< temporary storage of timestep to be used for
                             !< steering of run control output interval
-    REAL(wp) ::  tsrp_org   !< original value of time_since_reference_point
+    REAL(wp) ::  time_since_reference_point_save  !< original value of
+                                                  !< time_since_reference_point
+
 !
 !-- At beginning determine the first time step
@@ -1081,10 +1083,12 @@
 
 !
-!--             Adjust the current_ time to the time step of the radiation model.
+!--             Adjust the current time to the time step of the radiation model.
 !--             Needed since radiation is pre-calculated and stored only on apparent 
 !--             solar positions
-                it = FLOOR(time_since_reference_point/dt_radiation)
-                tsrp_org = time_since_reference_point
-                time_since_reference_point = REAL(it,wp) * dt_radiation
+                time_since_reference_point_save = time_since_reference_point
+                time_since_reference_point =                                   &
+                                    REAL( FLOOR( time_since_reference_point /  &
+                                                 dt_radiation), wp )           &
+                                             * dt_radiation
 
                 CALL radiation_control
@@ -1101,5 +1105,5 @@
 !
 !--             Return the current time to its original value
-                time_since_reference_point = tsrp_org
+                time_since_reference_point = time_since_reference_point_save
 
              ENDIF
Index: palm/trunk/SOURCE/time_integration_spinup.f90
===================================================================
--- palm/trunk/SOURCE/time_integration_spinup.f90	(revision 3240)
+++ palm/trunk/SOURCE/time_integration_spinup.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 2983 2018-04-18 10:43:40Z suehring
 ! Revise limitation of wall-adjacent velocity.
 ! 
@@ -93,20 +96,14 @@
     USE control_parameters,                                                    &
         ONLY:  averaging_interval_pr, calc_soil_moisture_during_spinup,        &
-               constant_diffusion, constant_flux_layer,                        &
-               coupling_start_time, current_timestep_number,                   &
-               data_output_during_spinup, disturbance_created, dopr_n, do_sum, &
+               constant_diffusion, constant_flux_layer, coupling_start_time,   &
+               data_output_during_spinup, dopr_n, do_sum,                      &
                dt_averaging_input_pr, dt_dopr, dt_dots, dt_do2d_xy, dt_do3d,   &
-               dt_run_control, dt_spinup, dt_3d, humidity,                     &
-               intermediate_timestep_count,                                    &
+               dt_spinup, dt_3d, humidity, intermediate_timestep_count,        &
                intermediate_timestep_count_max, land_surface,                  &
-               simulated_time, simulated_time_chr,                             &
-               skip_time_dopr, skip_time_do2d_xy, skip_time_do3d, spinup,      &
-               spinup_pt_amplitude, spinup_pt_mean, spinup_time,               &
-               timestep_count, timestep_scheme, time_dopr, time_dopr_av,       &
-               time_dots, time_do2d_xy, time_do3d, time_run_control,           &
-               time_since_reference_point, ug_surface, vg_surface, urban_surface
-
-    USE constants,                                                             &
-        ONLY:  pi
+               simulated_time, simulated_time_chr, skip_time_dopr,             &
+               skip_time_do2d_xy, skip_time_do3d, spinup_pt_amplitude,         &
+               spinup_pt_mean, spinup_time, timestep_count, time_dopr,         &
+               time_dopr_av, time_dots, time_do2d_xy, time_do3d,               &
+               time_run_control, time_since_reference_point, urban_surface
 
     USE cpulog,                                                                &
@@ -131,7 +128,6 @@
 
     USE radiation_model_mod,                                                   &
-        ONLY:  force_radiation_call, radiation,                                &
-               radiation_control, rad_sw_in, time_radiation,                   &
-               radiation_interaction, radiation_interactions
+        ONLY:  force_radiation_call, radiation, radiation_control,             &
+               radiation_interaction, radiation_interactions, time_radiation
 
     USE statistics,                                                            &
@@ -142,5 +138,5 @@
 
     USE surface_mod,                                                           &
-        ONLY :  surf_def_h, surf_def_v, surf_lsm_h, surf_lsm_v, surf_usm_h,    &
+        ONLY :  surf_lsm_h, surf_lsm_v, surf_usm_h,    &
                 surf_usm_v
 
